at.chipkarte.client.sas.soap

## Class Adressdaten

- Object
- - at.chipkarte.client.sas.soap.Adressdaten

-     public class Adressdaten
      extends Object

  Enthält bei positiver Durchführung der Funktion `ISasService.adressdatenAbfragen(String, String)` als Ergebnis die Zustelladresse der abgefragten SV-Person.

  Eine Zustelladresse kann entweder eine Anschriftsadresse oder eine Postfachadresse sein:

  - Eine Anschriftsadresse besteht aus den Feldern Strasse, Hausnummer, StockTuerNummer und Anschriftszusatz.
  - Eine Postfachadresse besteht aus den Feldern PostfachText und PostfachNummer.

  Die Felder Staatscode, Plz, Ort und Abgabestelle sind beiden Adresstypen zugeordnet.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Adressdaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbgabestelle()` Genauerer Hinweis über die Abgabestelle (z.B.
    `String` | `getAnschriftszusatz()` Zusatzinformation, die einen genaueren Hinweis über die Adressierung gibt (z.B.
    `String` | `getHausnummer()` Hausnummer.
    `String` | `getOrt()` Ortsname.
    `String` | `getPlz()` Postleitzahl.
    `String` | `getPostfachNummer()` Nummer des Postfachs.
    `String` | `getPostfachText()` Bezeichnung des Postfachs abhängig vom jeweiligen Staat (z.B.
    `String` | `getStaatscode()` Länderkürzel bestehend aus 3 Buchstaben zur Identifizierung des Landes (nach ISO-3-Standard).
    `String` | `getStockTuerNummer()` Stock- beziehungsweise Türnummer, getrennt durch /.
    `String` | `getStrasse()` Strasse (ohne Hausnummer).
    `void` | `setAbgabestelle(String abgabestelle)`
    `void` | `setAnschriftszusatz(String anschriftszusatz)`
    `void` | `setHausnummer(String hausnummer)`
    `void` | `setOrt(String ort)`
    `void` | `setPlz(String plz)`
    `void` | `setPostfachNummer(String postfachNummer)`
    `void` | `setPostfachText(String postfachText)`
    `void` | `setStaatscode(String staatscode)`
    `void` | `setStockTuerNummer(String stockTuerNummer)`
    `void` | `setStrasse(String strasse)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Adressdaten

          public Adressdaten()

  - ### Method Detail

    - #### getStaatscode

          public String getStaatscode()

      Länderkürzel bestehend aus 3 Buchstaben zur Identifizierung des Landes (nach ISO-3-Standard).
      Format: maximal 3 Zeichen
      Returns:
        Länderkürzel.

    - #### getPlz

          public String getPlz()

      Postleitzahl.
      Format: maximal 9 Zeichen
      Returns:
        Postleitzahl.

    - #### getOrt

          public String getOrt()

      Ortsname.
      Format: maximal 50 Zeichen
      Returns:
        Ortsname.

    - #### getAbgabestelle

          public String getAbgabestelle()

      Genauerer Hinweis über die Abgabestelle (z.B. z.H. Herrn Peter Müller, per Adresse, bei Firma).
      Format: maximal 70 Zeichen
      Returns:
        Abgabestelle.

    - #### getStrasse

          public String getStrasse()

      Strasse (ohne Hausnummer).
      Format: maximal 50 Zeichen
      Returns:
        Strasse.

    - #### getHausnummer

          public String getHausnummer()

      Hausnummer.
      Format: maximal 10 Zeichen
      Returns:
        Hausnummer.

    - #### getStockTuerNummer

          public String getStockTuerNummer()

      Stock- beziehungsweise Türnummer, getrennt durch /.
      Format: maximal 10 Zeichen
      Returns:
        Stock- bzw. Türnummer.

    - #### getAnschriftszusatz

          public String getAnschriftszusatz()

      Zusatzinformation, die einen genaueren Hinweis über die Adressierung gibt (z.B. Ecke Kundmanngasse oder 3. Hof).
      Format: maximal 70 Zeichen
      Returns:
        Anschriftszusatz.

    - #### getPostfachText

          public String getPostfachText()

      Bezeichnung des Postfachs abhängig vom jeweiligen Staat (z.B. Postfach für Österreich, p/o Box für USA).
      Format: maximal 30 Zeichen
      Returns:
        Bezeichnung des Postfachs.

    - #### getPostfachNummer

          public String getPostfachNummer()

      Nummer des Postfachs.
      Format: maximal 6 Zeichen
      Returns:
        Nummer des Postfachs.

    - #### setStaatscode

          public void setStaatscode(String staatscode)

    - #### setPlz

          public void setPlz(String plz)

    - #### setOrt

          public void setOrt(String ort)

    - #### setAbgabestelle

          public void setAbgabestelle(String abgabestelle)

    - #### setStrasse

          public void setStrasse(String strasse)

    - #### setHausnummer

          public void setHausnummer(String hausnummer)

    - #### setStockTuerNummer

          public void setStockTuerNummer(String stockTuerNummer)

    - #### setAnschriftszusatz

          public void setAnschriftszusatz(String anschriftszusatz)

    - #### setPostfachText

          public void setPostfachText(String postfachText)

    - #### setPostfachNummer

          public void setPostfachNummer(String postfachNummer)